Replace schedule intervals
curl --request PUT \
--url https://api.paygentic.io/v0/billingSchedules/{id}/intervals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intervals": [
{
"baseQuantity": "<string>",
"billingCadence": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"orderLineItemId": "<string>",
"itemId": "<string>",
"priceId": "<string>",
"description": "<string>",
"unitPrice": "<string>",
"quantityTransitions": [
{
"effectiveDate": "2023-11-07T05:31:56Z",
"quantity": "<string>"
}
],
"billDate": "2023-11-07T05:31:56Z",
"usageFilter": {},
"metadata": {}
}
],
"orderLineItemId": "<string>"
}
'import requests
url = "https://api.paygentic.io/v0/billingSchedules/{id}/intervals"
payload = {
"intervals": [
{
"baseQuantity": "<string>",
"billingCadence": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"orderLineItemId": "<string>",
"itemId": "<string>",
"priceId": "<string>",
"description": "<string>",
"unitPrice": "<string>",
"quantityTransitions": [
{
"effectiveDate": "2023-11-07T05:31:56Z",
"quantity": "<string>"
}
],
"billDate": "2023-11-07T05:31:56Z",
"usageFilter": {},
"metadata": {}
}
],
"orderLineItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
intervals: [
{
baseQuantity: '<string>',
billingCadence: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
orderLineItemId: '<string>',
itemId: '<string>',
priceId: '<string>',
description: '<string>',
unitPrice: '<string>',
quantityTransitions: [{effectiveDate: '2023-11-07T05:31:56Z', quantity: '<string>'}],
billDate: '2023-11-07T05:31:56Z',
usageFilter: {},
metadata: {}
}
],
orderLineItemId: '<string>'
})
};
fetch('https://api.paygentic.io/v0/billingSchedules/{id}/intervals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "schedule_interval",
"scheduleId": "<string>",
"baseQuantity": "<string>",
"quantityTransitions": [
{
"effectiveDate": "2023-11-07T05:31:56Z",
"quantity": "<string>"
}
],
"billingCadence": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"orderLineItemId": "<string>",
"itemId": "<string>",
"priceId": "<string>",
"description": "<string>",
"unitPrice": "<string>",
"billDate": "2023-11-07T05:31:56Z",
"usageFilter": {}
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Billing Schedules
Replace schedule intervals
Replace (PUT semantics) the full interval set for a schedule. Wipes existing intervals and recreates from the supplied list. Reverts any in-flight order approval for order-owned schedules.
PUT
/
v0
/
billingSchedules
/
{id}
/
intervals
Replace schedule intervals
Authorizations
API key authentication
Path Parameters
Body
application/json
Was this page helpful?
⌘I